#!/usr/bin/python
# -*- coding: utf-8 -*-
# DLommele - lyceemangin
from tkinter import *
from math import sqrt
#############
# Fonctions #
#############
def Distance(i):#donne la distance entre un point d'indice i et son successeur
    x1=Points[i][0]
    y1=Points[i][1]
    x2=Points[i+1][0]
    y2=Points[i+1][1]
    d=sqrt((x2-x1)**2+(y2-y1)**2)
    print("La distance entre le point ",i," et le suivant est : ",d," m")
    return d

def Vitesse(i):
    DeltaT=1 #il s'écoule une seconde entre chaque position
    v=Distance(i)/DeltaT
    print("La vitesse instantanée au point", i, "vaut ",v, "m/s")
    return v

def Vecteur_Vitesse(i,k): #trace le IEME vecteur vitesse avec un facteur k
    xA=Points[i][0]
    yA=Points[i][1]
    xB=Points[i+1][0]
    yB=Points[i+1][1]
    X=(xB-xA)*k+xA
    Y=(yB-yA)*k+yA
    return (X,Y)

#######################
# PROGRAMME PRINCIPAL #
#######################
Points=[[250, 0.0, 0], [250, 5.0, 1], [250, 20.0, 2], [250, 45.0, 3], [250, 80.0, 4], [250, 125.0, 5], [250, 180.0, 6], [250, 245.0, 7], [250, 320.0, 8], [250, 405.0, 9], [250, 500.0, 10]]
n=4 #le vecteur dont on veut dessiner la vitesse
racine=Tk()
racine.geometry("500x600") 
racine.title("Positions")
fond=Canvas(racine, bg='white',width=500,height=500,bd=4)
fond.pack()
for i in range(len(Points)):
    fond.create_oval(Points[i][0]-5,Points[i][1]-5,Points[i][0]+5,Points[i][1]+5,fill='green')

#on trace le vecteur vitesse
vecteurVitesse=fond.create_line(Points[n][0],Points[n][1],Vecteur_Vitesse(n,2)[0],Vecteur_Vitesse(n,2)[1], fill='red',arrow='last',width=2)

#bonus : on affiche ça valeur
fond.create_text((Points[n][0]+Points[n+1][0])*0.5+30,(Points[n][1]+Points[n+1][1])*0.5,fill='red',text=(str(Vitesse(n))+" m/s"))
racine.mainloop()




       

